<?php

namespace APISTUDIO\Cookieviewhelper\Controller;

use APISTUDIO\Cookieviewhelper\Service\CookieService;
use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

class OptIn extends ActionController
{
    public function formAction(): void
    {
        $cookieService = new CookieService();
        $decisionExist = $cookieService->decisionExists();

        if (!$decisionExist) {
            $cookieService->isAllowedCookies([]);
        }

        $this->view->assign("decisionExist", $decisionExist);
    }

    public function updateAction(): void
    {
        $cookies = $this->request->getArgument('selectedCookies');
        if (!is_array($cookies)) {
            $cookies = [];
        }

        (new CookieService())->allowCookies($cookies);

        header("Location: {$this->settings['redirectPage']}", true, 302);
        die();
    }
}
